> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Cekura mock tools for an agent



## OpenAPI

````yaml get /api/v1/testing-lab/mock-tools
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/testing-lab/mock-tools:
    get:
      tags:
        - Testing Lab
      summary: List Cekura mock tools for an agent
      parameters:
        - schema:
            type: string
          required: true
          name: agentId
          in: query
      responses:
        '200':
          description: Mock tools retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CekuraMockToolsListResponse'
        '400':
          description: agentId is required
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '404':
          description: Agent not found or not connected to Cekura
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 404
                  message:
                    type: string
                    default: Not found
                  code:
                    type: string
                    enum:
                      - NOT_FOUND
                    default: NOT_FOUND
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  schemas:
    CekuraMockToolsListResponse:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/CekuraMockTool'
      required:
        - results
    CekuraMockTool:
      type: object
      properties:
        id:
          type: number
        name:
          type: string
        description:
          type: string
          nullable: true
        information:
          type: array
          nullable: true
          items:
            type: object
            properties:
              input:
                type: object
                additionalProperties:
                  nullable: true
              output:
                type: object
                additionalProperties:
                  nullable: true
            required:
              - input
              - output
        freetext_params:
          type: array
          nullable: true
          items:
            type: string
        mock_url:
          type: string
      required:
        - name
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````